Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 3885)
@@ -103,7 +103,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof CQPCorpus)) {
-						Log.severe(TXMCoreMessages.bind(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection, element));
+						Log.severe(TXMCoreMessages.bind(TXMUIMessages.cannotComputeCooccurrencesWithTheCurrentSelectionP0, element));
 						return Status.CANCEL_STATUS;
 					}
 					CQPCorpus corpus = ((CQPCorpus)element);
Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 3885)
@@ -102,7 +102,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof QueryIndex)) {
-						Log.severe(TXMCoreMessages.bind(TXMUIMessages.cannotComputeCooccurrencesWithTheSelection, element));
+						Log.severe(TXMCoreMessages.bind(TXMUIMessages.cannotComputeCooccurrencesWithTheCurrentSelectionP0, element));
 						return Status.CANCEL_STATUS;
 					}
 					QueryIndex qi = ((QueryIndex)element);
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/Messages.java	(revision 3885)
@@ -70,7 +70,7 @@
 	public static String errorWhileDeletingAnnotationColonP0; 
 	public static String lookingForTypedValueWithIdEqualsP0; 
 	public static String noValueFoundWithTheP0Id; 
-	public static String AffectP0ToSelectionEqualsP1;
+	public static String AffectP0ToP1SelectionEqualsP2;
 	public static String Annotation;
 	public static String AskingCredentialForP0KRLogin; 
 	public static String couldNotAnnotateTheValueP0OnCertainSequences; 
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/edition/WordAnnotationToolbar.java	(revision 3885)
@@ -224,7 +224,7 @@
 			return;
 		}
 		
-		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
+		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToP1SelectionEqualsP2, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3885)
@@ -233,7 +233,7 @@
 			return;
 		}
 		
-		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
+		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToP1SelectionEqualsP2, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3885)
@@ -613,7 +613,7 @@
 			return;
 		}
 		
-		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToSelectionEqualsP1, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
+		Log.info(TXMCoreMessages.bind(Messages.AffectP0ToP1SelectionEqualsP2, value_to_add.getId(), value_to_add.getTypeID(), matches.size()));
 		
 		// finally we can 'try' to create the annotations \o/
 		try {
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 3885)
@@ -75,7 +75,7 @@
 
 		Object s = selection.getFirstElement();
 		if (!(s instanceof MainCorpus)) {
-			Log.warning(NLS.bind(Messages.SelectionIsNotACorpusAborting, s));
+			Log.warning(NLS.bind(Messages.SelectionIsNotACorpusP0Aborting, s));
 			return null;
 		}
 
Index: TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ImportTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ImportTable.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ImportTable.java	(revision 3885)
@@ -117,7 +117,7 @@
 				try {
 					monitor.beginTask(Messages.ImportingAnnotationsAsStandOff, 100);
 					
-					monitor.setTaskName(Messages.ReadingAnnotationsInTheTableFileP0+annotationsFile);
+					monitor.setTaskName(NLS.bind(Messages.ReadingAnnotationsInTheTableFileP0, annotationsFile));
 					/*if (MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), "Before saving annotations...", "All editors using this corpus are going to be closed. Continue ?")) {
 						return false;
 					}*/
@@ -131,7 +131,7 @@
 					}
 					monitor.worked(30);
 					
-					corpus.getProject().appendToHistory(Messages.CQPAnnotationsImportedFromP0+annotationsFile);
+					corpus.getProject().appendToHistory(NLS.bind(Messages.CQPAnnotationsImportedFromP0, annotationsFile));
 					Log.info(Messages.Done);
 					
 				} catch(Exception e) {
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3885)
@@ -827,7 +827,7 @@
 	public String getDetails() {
 		
 		try {
-			return this.getSimpleName() + " " + NLS.bind(TXMCoreMessages.common_fMinEquals, this.getLexicalTable().getFMin());
+			return this.getSimpleName() + " " + NLS.bind(TXMCoreMessages.common_fMinEqualsP0, this.getLexicalTable().getFMin());
 		}
 		catch (Exception e) {
 			return "";
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 3885)
@@ -304,7 +304,7 @@
 		String[] split = line.split("\t"); //$NON-NLS-1$
 		int ncol = split.length;
 		if (ncol <= 1) {
-			throw new IOException(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.error_notEnoughColumns, ncol));
+			throw new IOException(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.error_notEnoughColumnsP0MinimumIs2, ncol));
 		}
 		
 		int nlines = getNline(tsvFile);
@@ -320,7 +320,7 @@
 					freqs[i][j - 1] = Integer.parseInt(split[j]);
 			}
 			else {
-				throw new IOException(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.error_lineXDoesNotHaveXXolumns, i, ncol));
+				throw new IOException(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.error_lineP0DoesNotHaveP1olumns, i, ncol));
 			}
 			i++;
 			line = reader.readLine();
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/messages/LexicalTableCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/messages/LexicalTableCoreMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/messages/LexicalTableCoreMessages.java	(revision 3885)
@@ -15,7 +15,7 @@
 	
 	public static String RESULT_TYPE;
 	
-	public static String info_buildingLexicalTableWith;
+	public static String info_buildingLexicalTableWithP0;
 	
 	public static String info_creatingLexicalTableWithTheP0PartitionCommaPropertiesP1;
 	
@@ -26,9 +26,9 @@
 	
 	public static String error_marginIsHigherThanThePartitionSize;
 	
-	public static String error_notEnoughColumns;
+	public static String error_notEnoughColumnsP0MinimumIs2;
 	
-	public static String error_lineXDoesNotHaveXXolumns;
+	public static String error_lineP0DoesNotHaveP1olumns;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3885)
@@ -252,7 +252,7 @@
 	 */
 	protected LexicalTableImpl _computeFromIndexes(List<PartitionIndex> indexes) throws RWorkspaceException {
 		
-		Log.fine(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.info_buildingLexicalTableWith, indexes));
+		Log.fine(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.info_buildingLexicalTableWithP0, indexes));
 		
 		PartitionIndex partIndex = indexes.get(0);// FRIGO
 		Partition partition = partIndex.getPartition(); // the Index is computed on a partition
Index: TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 3885)
@@ -24,8 +24,6 @@
 	
 	public static String RESULT_TYPE;
 	
-	public static String error_error2;
-
 	public static String error_errorWhileExportingCAHToTXT;
 	
 	public static String common_ok;
@@ -42,7 +40,7 @@
 	
 	public static String error_canNotComputeAHCOnLexicalTableWithLessThan4Columns;
 	
-	public static String error_canNotComputeAHCWith;
+	public static String error_canNotComputeAHCWithP0;
 
 	public static String error_canNotComputeAHCWithLessThan4RowsInTheTable;
 
